import { NestFactory } from '@nestjs/core';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { join } from 'path';
import { AppModule } from './app.module';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(
    AppModule,
    {
      transport: Transport.GRPC,
      options: {
        package: ['user', 'health'],
        protoPath: [
          join(__dirname, 'modules/users/adapters/primaries/user.proto'),
          join(__dirname, 'modules/health/adapters/primaries/health.proto'),
        ],
        url: process.env.SERVICE_URL + ':' + process.env.SERVICE_PORT,
        loader: { keepCase: true },
      },
    },
  );
  await app.listen();
}
bootstrap();
