import { Controller } from '@nestjs/common';
import { GrpcMethod } from '@nestjs/microservices';

enum ServingStatus {
  UNKNOWN = 0,
  SERVING = 1,
  NOT_SERVING = 2,
}

interface HealthCheckRequest {
  service: string;
}

interface HealthCheckResponse {
  status: ServingStatus;
}

@Controller()
export class HealthController {
  @GrpcMethod('Health', 'Check')
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  check(data: HealthCheckRequest, metadata: any): HealthCheckResponse {
    return {
      status: ServingStatus.SERVING,
    };
  }
}
